Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033611
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2016-08-03 12:562016-09-20 11:16
ReportermalsasuaView Statuspublic 
Assigned Tomigueldejuana 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toadrianromero
Regression levelProduction - Confirmed Stable
Regression date
Regression introduced in releaseRR16Q2
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033611: wrong "net unit price" with tax include taxes and price precision 6

Descriptionwhen the pricelist is configured with price include taxes, the tax is set as "Document based amount by rate" in "Document based amount by rate" field, the price precision is 6, POS precision 2, then the "net unit price" calculated in sales order line is wrong.

For this reason, the invoice created by cashup is set as not paid, with outstanding amount 0.01$


Steps To Reproducein backoffice:
. price list version: "The White Valley Group Sale Price List Version"
  . product Alpine Poles: unit price and list price: 117
  . product Alpine Ski Boot: unit price and list price: 117
. as system administrator, go to Currency window:
 . currency EUR: price precision: 6
                 POS precision: 2

in POS
. new receipt:
 . Alpine Poles: 1 unit
 . Alpine Ski Poles: 3 units
. pay it
. do cashup

in backoffice:

. go to sales invoice window, invoice created by cashup
>>>Error: invoice is set as payment complete: No, outstanding amt 0.01, total gross amount is wrong.
TagsNo tags attached.
Attached Filespng file icon centimos.png [^] (173,825 bytes) 2016-08-03 14:30


png file icon invoice.png [^] (165,473 bytes) 2016-08-04 11:12

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0032263RR16Q2 closedranjith_qualiantech_com Retail Modules Sales Order's "Total Net Amount" different from sum of sales order line's "line net amount", when price precision = 6 
related to defect 0032264 closedadrianromero Retail Modules Taxes at document level are not properly calculated in some cases 
depends on backport 0033835RR16Q3.1 closedmigueldejuana Retail Modules wrong "net unit price" with tax include taxes and price precision 6 
depends on backport 0033836RR16Q2.3 closedmigueldejuana Retail Modules wrong "net unit price" with tax include taxes and price precision 6 
related to design defect 0032265 closedaferraz Openbravo ERP [SER QA 1434] Taxes at document level are not properly calculated in some cases 

-  Notes
(0089354)
hgbot (developer)
2016-08-24 15:48

Repository: tools/automation/pi-mobile
Changeset: 3c179fa76f681057c01827f1e4951e5998b71e6e
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Aug 23 10:52:57 2016 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/3c179fa76f681057c01827f1e4951e5998b71e6e [^]

Related to issue 0033611: wrong "net unit price" with tax include taxes and price precision 6

- Checking invoice, check also: totalNet + totalTaxAmount = totalGross

---
M src-test/org/openbravo/test/mobile/common/selenium/database/WebPOSDatabaseHelper.java
M src-test/org/openbravo/test/mobile/common/selenium/database/rows/InvoiceLinesOfDocumentnoRow.java
---
(0089355)
hgbot (developer)
2016-08-24 15:48

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5794a0f5facd7a269a9269b73c24b524b8bdf2cd
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Aug 24 11:19:59 2016 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5794a0f5facd7a269a9269b73c24b524b8bdf2cd [^]

Fixed to issue 0033611: wrong "net unit price" with tax include taxes and price precision 6

- If totalines + totalTaxAmount != grandTotalAmount we have to adjust taxes so we choose the tax with more amount to adjust the invoice

---
M src/org/openbravo/retail/posterminal/OrderGroupingProcessor.java
---
(0089356)
hgbot (developer)
2016-08-24 15:48

Repository: tools/automation/pi-mobile
Changeset: 327cedc87d3677b5f1ba8b39f93480e71e2d9408
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Aug 24 11:16:02 2016 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/327cedc87d3677b5f1ba8b39f93480e71e2d9408 [^]

Related to issue 0033611: wrong "net unit price" with tax include taxes and price precision 6

- Allow to check invoice with more than one line
- Add the test

---
M src-test/org/openbravo/test/mobile/common/selenium/database/WebPOSDatabaseHelper.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cashup/I33695_CashupInvoiceTaxPrecision.java
---
(0089395)
adrianromero (manager)
2016-08-25 13:38

Verified.
(0089554)
guilleaer (developer)
2016-08-30 14:59

Regression fields are pending
(0089594)
migueldejuana (developer)
2016-08-31 11:32

Could be introduced by https://issues.openbravo.com/view.php?id=0032996 [^]
(0090103)
hgbot (developer)
2016-09-20 11:16

Repository: tools/automation/pi-mobile
Changeset: bbcffb7e052c235fa5e34363e44fd2c3b3b3299c
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Sep 20 11:16:26 2016 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/bbcffb7e052c235fa5e34363e44fd2c3b3b3299c [^]

Related to issue 0033611: wrong "net unit price" with tax include taxes and price precision 6

- Allow to check invoice with more than one line (fix)

---
M src-test/org/openbravo/test/mobile/common/selenium/database/WebPOSDatabaseHelper.java
---

- Issue History
Date Modified Username Field Change
2016-08-03 12:56 malsasua New Issue
2016-08-03 12:56 malsasua Assigned To => Retail
2016-08-03 12:56 malsasua Triggers an Emergency Pack => No
2016-08-03 14:26 malsasua Regression level => Production - Confirmed Stable
2016-08-03 14:28 malsasua Summary wrong line net amount with tax include taxes and price precision 6 => wrong "net unit price" with tax include taxes and price precision 6
2016-08-03 14:30 malsasua File Added: centimos.png
2016-08-03 18:30 eugeni Issue Monitored: eugeni
2016-08-04 09:39 malsasua Priority high => immediate
2016-08-04 11:12 malsasua Description Updated View Revisions
2016-08-04 11:12 malsasua Steps to Reproduce Updated View Revisions
2016-08-04 11:12 malsasua File Added: invoice.png
2016-08-11 11:03 migueldejuana Assigned To Retail => ranjith_qualiantech_com
2016-08-11 11:08 migueldejuana Relationship added related to 0032263
2016-08-16 11:56 ranjith_qualiantech_com Status new => scheduled
2016-08-18 12:15 migueldejuana Relationship added depends on 0032265
2016-08-18 14:20 migueldejuana Relationship added related to 0032264
2016-08-22 08:55 migueldejuana Assigned To ranjith_qualiantech_com => migueldejuana
2016-08-22 13:50 malsasua Relationship added has duplicate 0033762
2016-08-24 15:48 hgbot Checkin
2016-08-24 15:48 hgbot Note Added: 0089354
2016-08-24 15:48 hgbot Checkin
2016-08-24 15:48 hgbot Note Added: 0089355
2016-08-24 15:48 hgbot Checkin
2016-08-24 15:48 hgbot Note Added: 0089356
2016-08-24 15:49 migueldejuana Status scheduled => resolved
2016-08-24 15:49 migueldejuana Resolution open => fixed
2016-08-25 13:38 adrianromero Review Assigned To => adrianromero
2016-08-25 13:38 adrianromero Note Added: 0089395
2016-08-25 13:38 adrianromero Status resolved => closed
2016-08-29 10:27 migueldejuana Status closed => new
2016-08-29 10:27 migueldejuana Resolution fixed => open
2016-08-29 10:30 migueldejuana Status new => scheduled
2016-08-29 10:30 migueldejuana Status scheduled => resolved
2016-08-29 10:30 migueldejuana Resolution open => fixed
2016-08-29 10:31 migueldejuana Status resolved => closed
2016-08-30 14:59 guilleaer Note Added: 0089554
2016-08-31 11:30 migueldejuana Regression introduced in release => RR16Q2
2016-08-31 11:32 migueldejuana Note Added: 0089594
2016-08-31 12:22 lorenzofidalgo Steps to Reproduce Updated View Revisions
2016-08-31 13:54 malsasua Relationship deleted has duplicate 0033762
2016-09-20 11:16 hgbot Checkin
2016-09-20 11:16 hgbot Note Added: 0090103
2017-01-16 10:42 aferraz Relationship deleted depends on 0032265
2017-01-16 10:42 aferraz Relationship added related to 0032265


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker